• RELEVANCY SCORE 4.10

    DB:4.10:Re: Insert Block Vs. Copy Block a3




    somewhere, I remember seeing this touched on, and it being somewhat
    controversial. Does anyone have any specific reason why copying a block
    once it is in use in a dwg is a bad idea. Here's the deal- I have a section
    where i'm showing a series of HSS brace connected to a concrete wall with 4
    adhesive anchors. I used to just insert and refedit our standard threaded
    rod block, rotate, position and then copy the heck out of it anywhere that
    specific block was needed. I thought that I'd seen a thread recently where
    this was discussed as bad drafting practice, so I've been inserting,
    rotating and positioning each once. This has slowed me down considerably.

    Did I make this up, or it it really better to insert each block into the dwg
    rather than copy it in?

    DB:4.10:Re: Insert Block Vs. Copy Block a3

    I just like to know what those names mean in the block manager listing.

    Rename doesn't take care of that?

  • RELEVANCY SCORE 3.71

    DB:3.71:Re: Insert Existing Block Vb.Net dx




    I've found out how to copy a block from another drawing into the current one.
    Can someone give me some sample code of how to insert that same block?

    It's a dynamic block and I need to change the properties on insert so any suggestions there would be helpful.

    DB:3.71:Re: Insert Existing Block Vb.Net dx

    Yes you do have a specific problem.

    Edited by: Discussion_Admin on Mar 1, 2010 6:00 PM

  • RELEVANCY SCORE 3.59

    DB:3.59:Re: One Specific Block Ignored 7p





    Hi,

    I'm working with AutoCAD 2004 LT and I have the next issue:

    I have a existing block where you can add text in when you double-click on it. I am trying to copy that block to another drawing (from model space to model space) but I always get this message:

    Duplicate definition of block TEST ignored.

    Now the weird part. The first time I copied it, it worked, but for other drawings I get this error message. I can copy all the other blocks and all the layers are the same (unlocked and viewable).

    Things I have tried and didn't work:

    - WBLOCK (if I insert the block, I can insert my data, but the block doesn't show up, no error message here, tough)

    - explode, make group, ungroup, make a block from the block, change the name

    - purge all

    - copy with basepoint

    What does seem to work is when I copy the block to a new made drawing, but I can't copy it from there (again tried all above). Also I can copy the block in the same drawing.

    Now I'm running out of options, so someone has any idea where it is going wrong?

    Greetings,

    Tim

    DB:3.59:Re: One Specific Block Ignored 7p


    How do you locate the original location of a block (I think that would solve my problem)? Because I think it's copied from somewhere else (I am just editing the drawings, so I don't know how the person before me did it).

  • RELEVANCY SCORE 3.58

    DB:3.58:Re: Copy A Block 1m


    I know there is a toolbar for copying a block. Can someone help me find this toolbar.

    Thanks

    DB:3.58:Re: Copy A Block 1m

    exactly, asking a question is a last resort AFTER reseaching the subject on my own, guess thats why my employers like me, i can figure things out without having my hand held

  • RELEVANCY SCORE 3.46

    DB:3.46:Re: Can't Insert Sketched Symbol Into Title Block 1p


    Is is possible to do this? It does not seem to allow it.

    I have a (somewhat complex) company logo as a sketched symbol and would like
    to insert it into the title block.

    I could just edit it in the title block, but I have two title blocks and
    would like to share the logo in them, or at least insert the block into each
    of them.

    Thanks.
    Jim

    DB:3.46:Re: Can't Insert Sketched Symbol Into Title Block 1p

    Thanks and sorry about that. I was just happy to save recreating sketched symbols.

    Newbie...

  • RELEVANCY SCORE 3.43

    DB:3.43:Re: 88


    Is the last roatation angle stored anywhere accessibls to LISP? I want to
    have the user pick a rotation point on a block insert, then do another block
    insert using the same rotation. I would like the user to see the first block
    as it is being inserted, so they understand how the rotation affects the
    block. Then I just want another block to insert with the same rotation.

    Any help is greatly appreciated.

    Gordon

    DB:3.43:Re: 88

    "Paul" discussion.autodesk.com@NOmofersSPAM.com wrote in message
    news1CF26F74998182D399F724C0CFBD3F8@in.WebX.maYIadrTaR​b...
    (defun lastblockangle ( )
    (* 180.0 (/ (cdr (assoc 50 (entget (entlast)))) pi))
    )
    Worked like a charm! Learn something new every day (I tend to learn three or
    four things every day

    Gordon

  • RELEVANCY SCORE 3.43

    DB:3.43:Re: Creating A New Title Block 7m


    I am trying to create a New Title block that I can use on all my new drawings. I created a title block and saved it. It appeared in the Drawing Resources in the Browser. But when I closed the drawing and opened a new drawing I cannot find the saved title block to insert it. Do I need to create the title block again and save it a different way or how can I insert the title block that I already created.

    DB:3.43:Re: Creating A New Title Block 7m

    Check out Sean Dotson's site he has a very good tutorial on title block creation. I didn't use it as it came out after i had lurned how the long and hard way, but have read it over.
    "http://www.sdotson.com/tutorials.asp"
    msk

  • RELEVANCY SCORE 3.43

    DB:3.43:Re: Insert Block jj



    I have installed our AutoCAD 2012 software. When I go to the command "Insert Block", it asks me to type in the name of the block in the command line. Is there a setting I can change so it opens up the dialogue box where I can go and find my block?

    DB:3.43:Re: Insert Block jj


    Just using the menu, insert - block.

  • RELEVANCY SCORE 3.43

    DB:3.43:Re: Auto Explode Inserted Block xj


    I'm drawing a blank. What is the command line command that this insert a block and explode it all in the same process. I know that the insertion dialogue block offers a check box for this but I need the command line command. Thanks

    DB:3.43:Re: Auto Explode Inserted Block xj

    if your inserting layers is all........ open your block, then make and export a layer states file. Now create a simple lisp command to import, restore, and delete this layer states file when done.

    I use this for those pesky LDT created layers. I like using "my own" layer naming standards and not LDT's.

  • RELEVANCY SCORE 3.36

    DB:3.36:Re: Regarding _.Insert Command as


    Hi

    I want to insert a block using acedcommand .
    Could anybody here help me how to insert a block and also how to specify the rotation angle for that block while insertiion.

    Thanks in Advance

    DB:3.36:Re: Regarding _.Insert Command as

    Hillary,

    If you type the insert command at the command line, you will see the dialog.
    If you come in from acedCommand, it will go directly to the command line
    prompts. The last sequence of acedCommand that I posted should work and
    should drag the block at the specified angle. I was able to test it here.
    To test it, start the insert command through AutoLisp like this: (command
    "_.insert"). Once you enter that, you will be in command line mode for the
    command.

    Joe

    wrote in message news:5684728@discussion.autodesk.com...
    Hi Joe Owan

    Thanks a lot for your information.
    What I have observed is , if you give ._insert command at the AutoCAD
    command prompt, then the dialog is displayed to specify the co-ordinates and
    the angle. Now, if I enter some angle and click ok now I am able to see the
    rotation angle just during insertion also [ before placing it on dwg ].
    But, I am not able to see the rotation angle during insertion , but after
    placed it is placed at the proper angle.
    What is annoying, during insertion it is shown at 0th angle , but after
    placing it is placed at the angle specified in the command.

    I hope I am clear with my issue.
    Please let me know how can I solve this issue and please note that this is
    very very important for my task...

    Once again thank in advance..

  • RELEVANCY SCORE 3.32

    DB:3.32:Re: Refine Block Definition With New Block 9d



    How do I redefine a block...

    I want to insert the new block definition in the place of the old one and overwrite it.

    The new block has more attributes than the older instance.

    What a good method of going about that?







    Solved!
    Go to Solution.

    DB:3.32:Re: Refine Block Definition With New Block 9d


    Yah. I purged the block out of the drawing. Now that part is working.

    Just trying to figure out the part if an attribute exists already.

    Thanks for the help!

  • RELEVANCY SCORE 3.32

    DB:3.32:Re: Change The Block Size df



    Hi,

    I am trying to insert a block in the drawing sheet, that varies in size dynamically. Is there anyway for changing the size of the block.

    DB:3.32:Re: Change The Block Size df


    Hi,

    via .net coding

    SCNR, we have now the 9th post in this thread to get first time the info that you want to write an application (doing that with dotNET). ;(

    You are in the wrong forum, describe all you need (and all you have solved already) in the right forum for AutoCAD customization with dotNET

    - alfred -




    -------------------------------------------------------------------------Alfred NESWADBAIngenieur Studio HOLLAUS ... www.hollaus.at-------------------------------------------------------------------------

  • RELEVANCY SCORE 3.31

    DB:3.31:Re: Insert Block Name=File Name With Vlisp In Objectdbx Documents sj


    I have:

    Mark_New.dwg 2d Entities, no attribs

    Assembly.dwg Block "Title"
    Block "Mark" nested in "Title"
    ...

    If I open Assembly.dwg and do Insert Mark=Mark_New.dwg
    the block "Mark" is updated as Mark_New.dwg

    How Can I do with with VLisp in objectdbx documents?

    Open as odbx Mark_New.dwg copy the entities
    Open as odbx Assembly.dwg and update the Block "Mark"

    Is it possible?

    --
    Marc'Antonio Alessi

    (vl-string-translate "1234567890" "ie@mst.lan" "499825513610716")
    http://xoomer.virgilio.it/alessi
    2D Parametric for 2000-2010
    (strcat "I like " (substr (ver) 8 4) "!")

    DB:3.31:Re: Insert Block Name=File Name With Vlisp In Objectdbx Documents sj

    I have a routine that *does* use (vla-InsertBlock...), but the block has no
    attributes. I think the text alignment issue will crop up if you attempt to
    insert a block via ODBX.

    Can you post a sample?

    --
    Marc'Antonio Alessi

    (vl-string-translate "1234567890" "ie@mst.lan" "499825513610716")
    http://xoomer.virgilio.it/alessi
    2D Parametric for 2000-2010
    (strcat "I like " (substr (ver) 8 4) "!")

  • RELEVANCY SCORE 3.31

    DB:3.31:Re: Block Insertion Troubles 8z


    Hey all,
    I have a assembly that consist of 3 blocks: one normal block, a top block, and a bottom block. However, when I insert my assembly as a single block, none of the parts of the assembly are aligned. Also, all of the individual blocks have bases at 0,0,0, and are aligned at 0,0. I try to go back and re insert the block in the original assembly drawing and then insert the assembly as a block after updating but to no avail. Anyone Help? Never had this problem before

    Thanks,
    Kenny

    DB:3.31:Re: Block Insertion Troubles 8z

    Make them all the same and see what happens.......

  • RELEVANCY SCORE 3.30

    DB:3.30:Re: Can't Insert Block ms


    I start all my jobs from a drawing standard layers template that I save as the new job.
    Latter on, if for any reason I purge layers not used, and I find that I will need them back, I try to insert my layers template as a block, and receive a message of "block insertion failed. What should I do to insert the drawing layers in my drawing as a block?

  • RELEVANCY SCORE 3.29

    DB:3.29:Re: z1


    The goal for this routine is to cycle through the block table of a file and
    redefine all blocks whose names begin with the company initials "SMBW". It
    works for the first block in the table list and then stops. Any idea why it
    doesn't loop through the others? thanks.

    (defun c:reloadblocks ( / data block blockfile)
    (setvar "cmdecho" 1)
    (while (setq data (tblnext "block" (null data)))
    (setq block (cdr (assoc 2 (tblnext "block" ))))
    (if (wcmatch block "SMBW*")
    (progn
    (setq blockfile (strcat block ".dwg"))
    (command "-insert" (strcat block "=" (findfile blockfile)) "")
    )
    )
    )
    (princ)
    )

    DB:3.29:Re: z1

    oops..

    (foreach x (table "block")
    (if
    (and
    (wcmatch (strcase x) "SMBW*")
    (setq block (findfile x))
    )
    (command ".insert" (strcat x "=" block) nil)
    )
    )

    --

    -Jason
    Member of the Autodesk Discussion Forum Moderator Program

    "Jason Piercey" wrote in message
    news:FAF8F7F3C977F20A5819CF9EF916BFB9@in.WebX.maYI​adrTaRb...

    ; try this for redefining your blocks.

    (foreach x (table "block")
    (if (setq block (findfile x))
    (command ".insert" (strcat x "=" block) nil)
    )
    )

  • RELEVANCY SCORE 3.29

    DB:3.29:Re: Commit_Form In Database Block 7f


    What message it gives?
    Whether it gives 'Unable to insert data'

    DB:3.29:Re: Commit_Form In Database Block 7f

    Hi,

    I am also facing similar issue with a custom form code. Could you please tell me how the commit_form issue is resolved?

    Problem Descrription: Form code has Commit_form() in it. The status message of the form tells that the changes are made to the record. But the database is not getting reflected with the changes.

    Thanks in advance.

    Lakshmi

    Edited by: user2318616 on Jan 10, 2009 11:34 AM

  • RELEVANCY SCORE 3.25

    DB:3.25:Re: Tinsert - Insert A Block In An Existing Table ms



    Hi,i'm trying to insert a block in an existing tableI want that the user choose the cell where to insert the block, but the block name must be given by the lisp, not by the user.i've tried various combinations of "pause" "getpoint":(command "tinsert" blocknme "")(command "tinsert" pause blocknme "")(command "tinsert" (vlax-3d-point (getpoint)) blocknme "")....but either i get an error (the getpoint) or appears the insert block dialog window, that i dont want.can someone help me ?TIA:-)







    Solved!
    Go to Solution.

    DB:3.25:Re: Tinsert - Insert A Block In An Existing Table ms


    sgrunt: rage and despair

    with half of my blocks it works, it half it fails !

    Now it's up to me to discover why ???

    Anyway: really THANK YOU for your assistance !

    Vivi

  • RELEVANCY SCORE 3.25

    DB:3.25:Re: Dynamic Block Basepoint px


    I have searched and can't find and answer to this. None my dynmic blocks will insert at the basepoint I have specified. I have opened the block, given it a base point perameter and re-saved it but they all insert off in space somewhere.

    DB:3.25:Re: Dynamic Block Basepoint px

    If you want this to be the default way of entering you should right-click DYN, go to settings. Go to the settings for the pointer input and set the format to polar and relative.

    I actually have a macro that says 0,0,0 placed under the shortcut CTRL+SHIFT+0.....

    Menno

  • RELEVANCY SCORE 3.24

    DB:3.24:Re: Can Two Transactions Insert Into The Same Data Block At The Same Time? 9c


    thanks a lot for your help Hans, most helpful

  • RELEVANCY SCORE 3.23

    DB:3.23:Re: Copy A Block Under A Different Nam Within A Drawing k3


    Hi,

    I was wondering...

    Is there something within AutoCAD to copy a block under a different name
    within a drawing?

    Before I start to write something for this.

    Kind regards,

    M

    DB:3.23:Re: Copy A Block Under A Different Nam Within A Drawing k3

    Try this lisp file.
    I set it as a toolbar macro.
    Works pretty good.

    Karl

    "M. Janmaat" wrote in message
    news:6234006@discussion.autodesk.com...
    Hi,

    I was wondering...

    Is there something within AutoCAD to copy a block under a different name
    within a drawing?

    Before I start to write something for this.

    Kind regards,

    M









    Attachments:






    copyblock.lsp ‏2 KB

  • RELEVANCY SCORE 3.23

    DB:3.23:Re: Help Inserting A Block Using A Command mx



    Hello I have a template that already has all the blocks that i need in it. But I don't to copy paste each block to different multiple location because of the size of the work. Sometimes i have a ten miles job and everytime i got to insert a block i have to go back to begining of my drawing then copy that block and paste on the different location.

    What I need is Lisp command that I can just type like FH in the command box and it will insert that block to the point where i want it to be. Any help will be appreciated

    DB:3.23:Re: Help Inserting A Block Using A Command mx

    usprecast wrote:

    .... Now I wanted to know how can i make to block to come in in 1 scale because right now it comes to 0 scale?

    Also is there a way that i can tell it which layer the block to be under?

    ....

    If you are using the one that uses the DIMSCALE System Variable to scale the Block, and that can sometimes be zero, you can do it this way, to force it to 1 in that case, but otherwise use whatever the non-zero value is:

    (defun C:YourCommandName ()

    (command "_.insert" "YourBlockName"

    "_scale" (if (= (getvar 'dimscale) 0) 1 (getvar 'dimscale))

    ); command

    ); defun

    For the Layer, there are several ways you can do that. Perhaps the simplest, if you're using a (command) function anyway for the Insert, is to include a Layer command inside that first:

    (defun C:YourCommandName ()

    (command

    "_.layer" "_set" "YourLayerName" ""

    "_.insert" "YourBlockName""_scale" (if (= (getvar 'dimscale) 0) 1 (getvar 'dimscale))

    ); command

    ); defun

    But there are other ways, too,such asto use (setvar 'clayer ....) instead of a Layer command, or to Insert the thing and afterwards change its Layer with CHANGE or CHPROP, or if you don't need to visually drag it into place, use (entmake) instead of an Insert command, which can include a Layer name, even other than the current one.

    The aboveleaves you in that Layer. You will find multitudinous routines on these Forums that will save the current Layer name first, set it to what's appropriate for the routine, and when finished, reset it to what it was before. Poke around a little.




    Kent Cooper

  • RELEVANCY SCORE 3.23

    DB:3.23:Re: Insert Dynamic Block kf



    I am trying to insert a dynamic block and position and stretch the block, using the linear parameters, depending on values entered into a form.

    Has anyone done anything similar. I managed to create a form that would draw a series of boxes. And i managed to create a routine that would insert a block and size it depending on fixed values but i can't link the 2 together.

    I'm more than happy to share what i have so far if someone is willing to help




    Creative IntentionsAutoCAD Certified ProfessionalWin 7 Pro 64bit, Dell Precision M6500

    DB:3.23:Re: Insert Dynamic Block kf


    Please using search to find such ubiquitous errors: eLockViolation




    Пожалуйста не забывайте про Утвердить в качестве решения и БаллыPlease remember to Accept as Solution and Kudos

  • RELEVANCY SCORE 3.23

    DB:3.23:Re: Forms 6i - Multi Record Block - Insert New Record 7c


    Hello,

    Do the same but in the PRE-INSERT block-level trigger.

    Francois

    DB:3.23:Re: Forms 6i - Multi Record Block - Insert New Record 7c

    Hi All,

    Apologies for posting a daft question, but I am unable to get this to work.

    I have a table:

    customer_number (PK)
    customer_name

    I have a multi-record block with customer_number (PK) as a hidden item. When the user adds a new customer_name, I'm looking to get the PK value populated automatically using a sequence in the database, such that the PK is maintained without being visible to the user.

    Any help with a code sample would be highly appreciated.

    tried the following in an ON-INSERT trigger
    :pre_customers_view.customer_number := pre_customers_seq.nextval;

    but I get the error .. seq.nextval not allowed in this context

    Message was edited by:
    xprezons

  • RELEVANCY SCORE 3.22

    DB:3.22:Re: Same Block Keeps Inserting 9j


    When I insert a block and then try to insert a different block after this, the first block re-inserts. To avoid this I have to browse for the block I want. Why does this happen and how can I fix it?

    Thanks,
    Russell Rewis

    DB:3.22:Re: Same Block Keeps Inserting 9j

    This is highly possible because it doesn't happen every time. I'll have to pay attention to which blocks and in what combination. I'll also try -insert.

    Thanks,
    Russell

  • RELEVANCY SCORE 3.21

    DB:3.21:Re: Single Block Insertion zs


    How can I insert just a single block from a source drawing and not every block from the source? This is what I have been using but all of the blocks come in.

    (if (tblsearch "block" "BubTg")
    (setq bl01 "BubTg")
    ;else
    (progn
    (command ".insert" "Annotate.dwg" 0,0) ;block source
    (setq bl01 "BubTg")
    );progn
    );if

    Thanks

    Magnar

    DB:3.21:Re: Single Block Insertion zs

    Thanks everyone for helping.

    I really think that CopyBlock is my best bet but when I try it i get "; error: Automation Error. Description was not provided."
    I'm using ACA2010

    magnar

  • RELEVANCY SCORE 3.21

    DB:3.21:Control-C Does Not Reliably Copy Text In Office 2013 Programs zm


    I am running Office 2013 on Windows 8, using a Lenovo Thinkpad T520, and have lost the normal use of Control C to copy a block of text and Control-V to insert it. This happens with Outlook, Word, and Excel. The function may work properly once
    or a few times after re-booting or re-starting the program, but then it stops working. When I copy a block of text and try to paste it, I often get a prior block of text and cannot get out of that unless I print the message or other file to PDF and then use
    Control-C to copy it.

    The function worked perfectly well in Office 2010 running Windows XP on the same machine.

    Can anyone help?

  • RELEVANCY SCORE 3.20

    DB:3.20:Re: Grabbing A Block cm


    how do i tell autolisp to grab a block by a specific insert.

    i.e. (ssget block (insert))

    i realise that this isn't even close, but at least i'm trying

    DB:3.20:Re: Grabbing A Block cm

    Thanks Jeff. I will look at this when I get more time. Looks pretty involved.

    Tim

  • RELEVANCY SCORE 3.20

    DB:3.20:Re: Can I Extrude A Block? fc


    I drew a rectangle on 2d(xy) view, and then made a block of that.
    so i insert that block and try to extrude it, but it says:
    "Unable to extrude the selected object."

    so what should I do?

  • RELEVANCY SCORE 3.20

    DB:3.20:Re: Jig Insert Block pk


    Hello,

    In C#, can anybody give me some example code to insert a drawing as block using jig?

    Thanks

    DB:3.20:Re: Jig Insert Block pk

    href="http://through-the-interface.typepad.com/thr​ough_the_interface/2007/05/using_a_jig_fro.html".​..
    Does this not do it? If you cannot get it to work
    post your entire code in a .cs file and some will
    have a look for you. I cannot until
    Friday.

    style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px"
    coddy wrote in message
    href="news:6122374@discussion.autodesk.com"news:6​122374@discussion.autodesk.com...In
    fact, the code is working, but I'm looking to multiply insert blocks which I
    cannot get to work.

  • RELEVANCY SCORE 3.18

    DB:3.18:Re: z9


    Hi
    Just wondering how we can insert our logo into the titleblock and save it as a custome title block.
    Rob

    DB:3.18:Re: z9

    I agree, it was small, but it was reasonable quality.

    --
    Kent
    Member of the Autodesk Discussion Forum Moderator Program

    "MechMan" wrote in message news:f14305d.7@WebX.maYIadrTaRb...
    Ok, just seemed an odd bmp size IMO.

    MechMan

  • RELEVANCY SCORE 3.18

    DB:3.18:Re: Dynamic Block Insertion ps


    Hi,

    If I change a block dynamicly it gets a (different) anonymous name.

    Block Name: "E_ARM0601"
    Anonymous Name: "*U2"

    Is there a way to insert a block this way?

    Kind regards,

    M

    DB:3.18:Re: Dynamic Block Insertion ps

    I didn't assume others aren't busy.

    And your right, it doesn't take a second or two.

    Unless your not behind your computer or focused on something else.

    M

    "Doug Broad" schreef in bericht
    news:6166637@discussion.autodesk.com...
    Don't assume the others here aren't busy as well. If you want continued
    help, it doesn't take but a second or two to say thanks after you read.

    "M. Janmaat" wrote in message
    news:6166509@discussion.autodesk.com...
    Hi Some, or should I say Constantin,

    I've read your e-mail and comments but I've been verry busy lately with a
    lot of other things aswell.

    In my opinion 'if someone takes the time to place a comment, the least one
    can do is reply.
    Sorry for not replying on short notice, but I did ment to do so...

    It often happens that 'after I've posted a question, I loose focus because
    of other things I'm also working on.
    Sometimes it can even take months but I do almost always get back to it.

    Thanks again for your effort.
    I am going to check out your code in the near future.

    Kind regards,

    M

    "Some Buddy" schreef in bericht
    news:6165736@discussion.autodesk.com...
    I would just like to remind you that I've answered your last PDF Unloaded
    question two weeks ago and you never came back for that answer, nor for some
    feedback, although I have sent you an email even at your office email
    address.

    This is something that happens very often on this forum, people asking for
    answers and for help, then other people investing and spending time in order
    to help them and in the end, the OP never comes back for that answer.

    I think that this is something very impolite and inconsiderate and what I
    generally do, is to ignore those who tend to manifest this kind of pattern.

    Regards

    --
    Humans are born with a wide horizon.
    As time goes by, the horizon narrows and
    narrows, until it becomes a point of view.

    "M. Janmaat" a écrit dans le message de news:
    6165659@discussion.autodesk.com...
    Hi,

    If I change a block dynamicly it gets a (different) anonymous name.

    Block Name: "E_ARM0601"
    Anonymous Name: "*U2"

    Is there a way to insert a block this way?

    Kind regards,

    M

  • RELEVANCY SCORE 3.18

    DB:3.18:Re: Change Properties Of Inserted Bock 33


    I am trying to insert a block with one of the block properties preset to a global setting in the menu. My idea was to have the menu button insert the block, select the inserted block and then set the block properties. I know how to insert the block and I have the new values for the properties, but how do you select the last inserted item into a drawing and get the property information?

    DB:3.18:Re: Change Properties Of Inserted Bock 33

    Here is the command line in the menu

    ^C^C^P-LA;M;belt;C;5;;;-INSERT;test24;\1;1;0;(chgd​ynprop (entlast) "Width" 24)

    test24 is the name of the block, "Width" is the lookup paramater name.

    With this line, I am getting this error.
    Command: ; error: Automation Error. Invalid input

  • RELEVANCY SCORE 3.18

    DB:3.18:Re: Titleblocks: Insert As Block Or Xref? 8c


    What is the industry standard? Should I insert it as a block with attributes or Xref it?

    DB:3.18:Re: Titleblocks: Insert As Block Or Xref? 8c

    I too would use xrefs, overlaid, as title blocks. This would have been very
    handy back in R10 when 110m hard drives were big and AutoCAD did not know
    about xrefs. At the time we had a title block from an Architect that was
    750k that we finally were able to reduce to 138k. When inserted as a block
    in 110 drawings it made for quite huge storage requirements and if something
    in the title block changed it had to be reinserted in all drawings. NOT a
    nice thing to have to do. Title blocks should consist of graphics which do
    not change and should be xref'd. Changeable items like sheet numbers should
    be as attributes or now as fields.

    "CADsd" wrote in message
    news:5333999@discussion.autodesk.com...
    shinji130 wrote:
    I need to set up a CAD standard in the office, and I am not sure
    which way to go. I personally like to XREF it, but I've seen many
    companies using Blocks instead of XREFs, which is why I asked whether
    to use blocks or xrefs.

    The problem we have with using a block is if something common on all sheets,
    job name, logos, submittal date, total sheet count, etc. change. You then
    have to somehow update all sheets. If you xref all you would have to do is
    change one sheet, one time only, done.

  • RELEVANCY SCORE 3.17

    DB:3.17:Re: Drag Drop Block zp


    When one of our users drags a block from design center it asks him all the
    usual block insert questions, i.e.. insertion point, rotation angle, etc. Is
    there a setting that will just insert the block where it is dropped, as is?
    Thanks.

    DB:3.17:Re: Drag Drop Block zp

    Tommy, try right clicking and checking out the properties of a block in DC. I think you will find what you are looking for

  • RELEVANCY SCORE 3.16

    DB:3.16:Re: Dbx Help Please 3x


    I would like to copy a block from another drawing into my current drawing.
    I'm able to open/close a file. The following returns the block I need from
    the other drawing:

    (vla-item (vla-get-blocks DBX_DOCUMENT) "TEST-BLOCK")
    #

    2 questions:
    - How do I copy this block into my current drawing?
    - Will it redefine the existing block? (I want it to.)

    Thanks,
    Allen

    DB:3.16:Re: Dbx Help Please 3x

    I missed the closing " in this line:
    (setq blk (vla-add CURRENT_BLOCKS "TEST-BLOCK))

    "Allen Bennett" wrote in message
    news:5124454@discussion.autodesk.com...
    Hi Jeff,

    The (if... returns "too few actual parameters". I don't know were to go
    from here.

    Thanks for your time,
    Allen

  • RELEVANCY SCORE 3.16

    DB:3.16:Re: Block Rename 3x


    Is there a way to rename a block that will automatically update all of the blocks in the drawing w/o having to re-insert the block? I need to change my block names but I don't want to have to re-do my entire drawing. Is there a way to do this? Thanks in advance!

    DB:3.16:Re: Block Rename 3x

    hey i like that command to ..that will for sure come in handy! Thanks again.

  • RELEVANCY SCORE 3.14

    DB:3.14:Re: 83


    Can anyone explain the difference between a BLOCK and a GROUP?

    Allen Schneid

    DB:3.14:Re: 83

    As you say, groups don't survive Wblock operation, I guess it has been just
    overlooked by Autodesk programmers.

    When you mention the possibility of writing permanent solution to this group
    transfer problem, I have to warn you that it's not that trivial.
    With help from Autodesk developers I developed ObjectARX program that
    modifies default wblock operation (creating new AcDbDatabase object out of
    current Database).

    Here are the steps involved:
    1. Deriving custom editor reactor class and intercepting all wblock() method
    variations.
    2. Intercepting process of translating entities objecIDs that occurs during
    wblock
    3. Copying group objects to new database's dictionary (this is operation
    forgotten by regular wblock())
    4. Remapping object handles in new database, using intercepted objectID map,
    so that groups point to entities and entities point to their group,
    otherwise you are asking for disaster.
    5. Step five is a trade secret (took another 2 weeks to figure, why steps
    1-4 created groups in new drawing, but they didn't show up

    Eventually, my clients now have a system that naturally transfers groups
    with wblock operation.

    --
    Alex Januszkiewicz
    Intelcad Systems and 911 DWG Recovery Services
    http://www.intelcad.com
    *Check out our DWF = DWG converter*
    **The FASTEST Xref Re-path program on the planet**
    * ObjectARX, OpenDWG, WhipTK, MDL *
    --

    David Kozina wrote in message
    news:38573618.37F7619@t-three.com...
    "LIES! LIIIES!..."
    [ Sorry, Louis, no offense meant, I couldn't help myself -- just small
    reference to Gilligan's Island... ]

    It's true that a group doesn't survive in a WBLOCK situation... *but*, if
    you
    recreate that group in the newly created block drawing, *then* insert that
    drawing into a different drawing. If / When that insert is exploded, the
    group will be recreated (with an anonymous name) once again. (This may or
    may not be *desireable*, but it *is* definitely possible. (We currently
    use
    'em like that alot, but are looking to implement a cleaner way to
    accomplish
    something similar, just haven't had the time to take care of it yet...)

    To see what I mean, just insert any drawing *containing* a group into
    another
    drawing, explode it and see what happens...

    Best regards,
    David Kozina

    Louis McKinney wrote:

    A group only can be in the drawing it was created in.

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Insert Block With Xref 1x


    While inserting a block which contains unloaded xrefs into another drawing, the xrefs are included with the new block. I don't recall this happening inthe past. Is there a system variable which controls this? I would prefer not to insert unwanted xrefs into the new drawing.

    DB:3.13:Re: Insert Block With Xref 1x

    I would love to hear from AutoDesk on this issue because in my eyes and several others I'm sure, this has nothing to do with “ever changing technology”. They goofed and they need to fix it.

    FIN

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Insert Dynamic Block As Anonymous By Deafult sp


    Is there a way to insert a dynamic block as anonymous?

    Changing a property of the dynamic block after insertion
    to make it anonymous will not work for what I need. It
    needs to be anonymous upon insertion.

    Off the top of my head, I suppose I could nest the dynamic
    block inside a "container" block and explode upon insertion,
    but that feels kinda kludgy.

    Anyone have a trick up there sleeve?

    --
    Autodesk Discussion Group Facilitator

    DB:3.13:Re: Insert Dynamic Block As Anonymous By Deafult sp

    Hi Jason,

    Just curious, did you find a way to do it?

    I see an empty anonymous block can be added to the blocks collection like this.

    (setq anonblk (vlax-invoke *blocks* 'Add '(0.0 0.0 0.0) "*U"))

    My thought there was maybe you could CopyObjects from the dynamic block definition to
    the new anonymous block. I'm sure you could, but I don't see a way to copy the
    dynamic block properties.

    And an anonymous block can be inserted like this.

    (vlax-invoke *mspace* 'InsertBlock '(0.0 0.0 0.0) "*U8" 1.0 1.0 1.0 0.0)

    But if "*U8" is a modified dynamic block, the new block reference is not dynamic.

    Joe

    "Jason Piercey" wrote in message
    news:5476665@discussion.autodesk.com...
    Yes adding some complexities. Guess I'll have
    to re-think my code process and see what I can
    come up with.

    --
    Autodesk Discussion Group Facilitator

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Visibility Selection From Lisp? 99


    Hi all,

    Experimenting with visibility states, and though I've searched this group I find no mention of whether or not it is possible to insert a dyna-block with the visibility state preset from LISP.
    Example: I have a block with several defined visibility states. Is it possible to have that block insert with not the first VS but maybe the 3rd or 4th VS? And, if so can anyone give me a clue as to how?

    Thanks

    DB:3.13:Re: Visibility Selection From Lisp? 99


    Thank you

    But that function is returning

    "nil"

    When ran and a dynamic block with vis states is selected




    ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++Please use code tags and credit where credit is due. Accept as solution, if solved. Let's keep it trim people!

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: How Do I Copy An Attribute Tag Value And Paste It To A New Block Tag Value? 9p


    I am basically just replacing a block with an updated block. It is an other wise identilcal block that consists of just one AttDef object so there is only one attribute to edit. What is changing is the block name and all the AttDef tag names. How do get the current block "dateblk2" attribute tag value and then insert that tag value for the new insert of the new block "version".
    Thank you for your help!

    DB:3.13:Re: How Do I Copy An Attribute Tag Value And Paste It To A New Block Tag Value? 9p

    I've got it working. Thank you very much Bob. One question. Can I change the 3rd line of this lisp as follows:

    Change from:
    (defun C:GO ( / ss C ent elist ip atr Val )
    (setq old_block "dateblk2")
    (setq new_block "version")

    Change to:
    (defun C:GO ( / ss C ent elist ip atr Val )
    (setq old_block "dateblk2")
    (setq new_block "C:/Program Files/AutoCAD 2005/Ref/version.dwg")

    The second block, the new one will not be in the dwg (that what the other problem why it was not working). So I need to insert it before the setq lines or just do this. Let me know. Thanks for the help Bob!

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Title Block dk



    I have a title block formatted and saved and not I need to insert it into the model drawing. Having some troubles adding it. what is the best way to add my title block?







    Solved!
    Go to Solution.

    DB:3.13:Re: Title Block dk


    Thank you so very very much! I was able to get the block into the drawing this time. However how do I make sure taht the units are the same?

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Insert Block Along Arc Or Polyline 73


    Can anyone point me to an example for inserting a block multiple times along
    an arc or polyline?

    --

    Chip Harper
    Autodesk Discussion Group Facilitator

    http://home.comcast.net/~hot4cad/

    DB:3.13:Re: Insert Block Along Arc Or Polyline 73

    I don't understand what you're trying to do that Measure (or Divide) won't
    do. It will put a Block instead of a point, and it will align it with the
    curvature (if you choose that option), and it will do it along an arc or
    polyline or line or spline (or circle, for that matter, but I've never seen
    flex duct in a circle). You just have to define your block carefully enough
    to make it come out looking the way you want. Am I missing something?
    --
    Kent Cooper

    "Chip Harper" wrote...
    Not practical for what I need. I normally use Robert's flex lisp to
    produce flex duct but I have a requirement that all ducts be two line and
    to scale. So I am thinking about inserting a block along an arc while
    rotating to draw the flex. I'm hoping to find a snip of code that I can
    use. Another thought is to offset an arc and change the linetype to zigzag
    but I'm not too thrilled with how it looks.

    Chip Harper

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Multi Block Size 71


    936113 wrote:
    hi !

    currently iam working with a huge database (Oracle 10g) with 32bit OS ... when i query it, it take more than 15min to retrive the records !
    and choose to optimize it by changing block size (8kb to 16kb)... and i come up with the following doubts :

    1. Creating a new tablespace with 16kb block size.. nd copy the existing table into that new tablespace !
    Is this a good way ????????Good compared to what?
    upon which metric is good measured?

    2. The is insert with new records (i.e is 4 records for every min)....!
    Is change in block size will effect my insertion ????????post results from different block size tests they we will know the answer.

    DB:3.13:Re: Multi Block Size 71

    See http://structureddata.org/2008/08/14/automatic-db_file_multiblock_read_count/

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Insert Block Macro ka


    I need a macro to insert a block and make a layer within that block current.

    Thanks, Ktat

    DB:3.13:Re: Insert Block Macro ka

    I'll wade in here... perhaps I have misunderstood.

    If, for example, you had a drawing (block) with all your Arch. Layers, a different drawing for your, say electrical layers (if this is the kind of thing you mean???) just insert the desired drawing and the layers comealong with it so-to-speak (the drawing would be essentialy blank save for the layers. Make the layer of choice current.

    The macro (diesel) would just duplicate the Command for Insert and appropriate response, plus layer command. One diesel (macro) for each grouping of layers need.

    Is this something like what you are after??????

    Oldguy

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: z1


    DB:3.13:Re: z1

    You are correct. I cringe corrected. :^)
    --

    Regards,
    Eric S.
    eschneider@jensenprecast.com

  • RELEVANCY SCORE 3.13

    DB:3.13:Re: Chamfers On Solids Disappear 91



    Has this bug been fixed or a work around described?

    If I chamfer or fillet a solid and copy it within the same drawing it loses the edit. Same if I block or wblock and insert.

    Thank you.

    JDH2011







    Solved!
    Go to Solution.

    DB:3.13:Re: Chamfers On Solids Disappear 91


    A quick search of the 2011 group finds people still having the problem but in the 2012 discussion group no one has yet asked the question... perhaps it has been addressed.

    JDH

  • RELEVANCY SCORE 3.13

    DB:3.13:Block In Copy With Reference Sales Order xs



    Hi developers,

    it's possible insert a control for to block the users, for some specific sales organization, that tries to create a Credit Memo Request by a Standard Order ?

    I cannot block in Maintain Copy Control because I must do the control only for some sales organization!!!

    Thanks in advance

    DB:3.13:Block In Copy With Reference Sales Order xs


    It is best not to assign Sales Document to Sales area in configuration. If you have configured it already, you can block the same by removing Credit Memo Request from the Sales area you do not want to issue credit note.

    Incase if you want to use Credit Memo Request in the sales area, you will have to restrict it through authorization si that only authorized User ID has the right to create a credit Memo Request. Basis could help in authorization.

    Regards,

    Rajesh Banka

  • RELEVANCY SCORE 3.12

    DB:3.12:Re: Copy-Paste pc


    why is that when i copy a block in copy-paste...and insert
    to another dwg...it explode the block when i inserted?
    do i need to turn something on to take care that problem..
    please advise. autocad 2004.

    DB:3.12:Re: Copy-Paste pc

    To modified your Ctrl+v
    right click to any icon:
    Customize
    Keyboard
    Menu Group: acad
    Categories: Edit
    Commands: Paste as block
    Press new Shortcut key: Ctrl+V
    Assign

  • RELEVANCY SCORE 3.12

    DB:3.12:Re: Pre-Insert Block Level, Seq.Nextval Leaving Gaps Problem xx


    why mutating? The max-ID-table has no references to the other table

    DB:3.12:Re: Pre-Insert Block Level, Seq.Nextval Leaving Gaps Problem xx

    Rollbacks are handled but gaps can exist in the short-term. Eg the following invoices can exist:

    INV0001
    INV0002
    INV0004

    but there will be a number 3 in the other table, so whilst there will eventually be no gap between invoices 2 and 4 it is possible for there to be one until number 3 is reissued.

  • RELEVANCY SCORE 3.12

    DB:3.12:Re: How To Catch Database Exception In Form fp


    Use Pre-Insert Trigger on Block level.

    DB:3.12:Re: How To Catch Database Exception In Form fp

    Hi
    I could not catch the exception. However the POST-DATABASE-COMMIT trigger will be called if it commits successfully otherwise this will not be called. I set a global variable in the POST-DATABASE-COMMIT which helped me resove this issue.

    Thanks for different insights. Having tried the above things I arrived at the solution.

    Thanks

  • RELEVANCY SCORE 3.12

    DB:3.12:Re: Populating From A Block To Another Block j9


    If you can elaborate it would be good...but as I can understand your problem you can use any of the triggers depending on your requirement and functionality:

    WHEN-VALIDATE-ITEM or PRE-INSERT or WHEN-VALIDATE-RECORD OR POST-UPDATE.

    The question is when do you want to copy the data, I mean what conditions??

    Naren

  • RELEVANCY SCORE 3.11

    DB:3.11:Re: Inserting A Block Deletes Points With Point Style With Same Block 1s



    We're using C3D 2013 SP2. The survey company we use uses point styles to show the blocks. Say they shoot a catchbasin. Instead of inserting the block, the point shows up as the block.

    I did a field check needed to insert a missed CB. When I inserted the block, the other points that were CBs disappeared. I had to insert the block, copy it the clipboard, undo the insertion then paste the block in. It did this on other drawings other blocks.

    Any ideas why it would do this?

    DB:3.11:Re: Inserting A Block Deletes Points With Point Style With Same Block 1s

    Right. So give it a number well beyond the numbers in the surveyors database and get a cup of coffee



    Thank youJoseph D. Bouza, P.E. (one of 'THOSE' People) Civil 3D 2012 2013HP Z210 WorkstationIntel Xeon CPU E31240 @ 3.30 Hz12 GB RamNote: Its all Resistentialism, so keep calm and carry on64 Bit Win7 OS

  • RELEVANCY SCORE 3.11

    DB:3.11:Re: Wanted: Block With Up-Dating X,Y, Z Co-Ords 9s


    Has anyone got a routine that will insert a block with Easting, Northings and Height (x,y,z,) information which will automatically up-date when the block is moved.

    DB:3.11:Re: Wanted: Block With Up-Dating X,Y, Z Co-Ords 9s

    Thanks Allen.
    That works.
    I tried a few ways to save the modified block so I would only have to
    perform these edits once, then just insert like a "normal" block; but none
    worked.
    It's better than I had before though.
    Thanks!
    Earl

    "Allen Johnson" wrote in message
    news:4224ec72$1_2@newsprd01...
    I inserted your block into a drawing, then I had to go through the
    following
    steps to get it to update:

    Attedit
    RightClick the attribute value and select "Edit Field"
    Use the Select Object button next to the object type to select the insert
    itself
    Select the "Position" property, then X,Y, or Z for each attribute

    Now you can copy and/or move this insert to new locations and it will
    reflect its insertion point (after you do a regen anyway).

    Seems a bit convoluted, though, sorry.

  • RELEVANCY SCORE 3.10

    DB:3.10:Insert Into Select Vs Plsql Block 1p


    1) Can INSERT INTO SELECT statement log failed records and insert succesful records.?

    2) Is a plsql block with a cursor for loop and insert statement SLOWER THAN
    insert into select statement?

    DB:3.10:Insert Into Select Vs Plsql Block 1p

    If you are using 10g release 2, then you can log failed records from an insert statement.

    See:
    http://download-east.oracle.com/docs/cd/B19306_01/server.102/b14200/statements_9014.htm#BGBEIACB
    http://www.oracle-base.com/articles/10g/DmlErrorLogging_10gR2.php

  • RELEVANCY SCORE 3.10

    DB:3.10:Re: Unable To Insert Multiple Records From One Block 79


    Hi
    I tried but its not working

    rgds
    soumya

    DB:3.10:Re: Unable To Insert Multiple Records From One Block 79

    May try this untested code:
    declare
    chkbutton number;
    tb2_ready boolean := false;

    begin

    GO_BLOCK( 'TB1' );
    FIRST_RECORD;

    LOOP
    IF
    nvl(:TB1.CHK1,'0') = '1' AND
    nvl(:TB2.CHK2,'0') = '1'
    THEN

    chkbutton:=show_alert('alrrec');

    if
    chkbutton = alert_button1
    then
    INSERT INTO Cust_dt( trn_dt, j_no, curr )
    values( :TB1.TRN_DT, :TB1.J_NO, :TB1.curr );

    if
    NOT tb2_ready
    then
    tb2_ready := true;
    go_block ( 'TB2' );
    first_record;
    LOOP
    if
    nvl(:TB2.CHK2,'0') = '1'
    then
    insert into Clnt_Dt(tr_dt,j_no,curr)
    values (:TB2.tr_dt,:TB2.j_no,:TB2.curr );
    end if;
    exit when :system.last_record = 'TRUE';
    NEXT_RECORD;
    end loop;
    go_block ( 'TB1' );
    end if;

    end if;
    exit when :system.last_record = 'TRUE';
    NEXT_RECORD;

    END LOOP;

    :system.message_level := '10';
    commit_form;
    :system.message_level := '0';

    end;

  • RELEVANCY SCORE 3.10

    DB:3.10:Re: A Macro To Insert A Block To Scale Of Dwg x9


    i cant believe im asking this question but im having a brain fart.
    please excuse my ignorance.

    how do you write a macro to insert a block at the current dwg scale?

    DB:3.10:Re: A Macro To Insert A Block To Scale Of Dwg x9

    It's calling for the prior-to-insertion-point Scale option in the non-dialog-box -Insert command, as
    the R is calling for the Rotation option. I'm not sure about doing such things from Slide
    Libraries, but maybe someone else knows what to do.
    --
    Kent Cooper

    andrew_nao wrote...
    i was looking to just select block in a slide lib, pick insert point and be
    done, but its not working with dimscale
    what does the S do i dont seem to find that in the list in the help files

    "Kent Cooper" wrote...
    You can feed those in, if you know what you want. If, for example, you
    always want a scale of 1 and
    rotation of 0, you can do either:

    ^C^C-INSERT blockname S 1 R 0

    which will leave it waiting for the User to give it an insertion point,or

    ^C^C-INSERT blockname \1 1 0

    which will handle the scale and rotation after it's been placed.....

  • RELEVANCY SCORE 3.10

    DB:3.10:Re: Insert Block jz


    I'm trying not to loose it......because valuable time is being wasted.
    Insert command brings up the same block when I
    type in different block name. What is up with that?

    DB:3.10:Re: Insert Block jz

    Did you already solve the problem?
    When I open the insert-box for the second time I use the arrow-down button on my keyboard.
    Then (the pad is empty again) and I can directly type a new block name.
    This works well.

  • RELEVANCY SCORE 3.10

    DB:3.10:Re: Finding Insert Point... sf


    does this syntax only work for block insert points?
    (setq ins (ssget "X" (list (cons 0 "INSERT"))))

    or can this work if you do a copy / paste from clip board?
    if so whats the right way to get this to work from the clipboard?
    what im trying to do is find the insert point of an object that is pasted from the clipboard

    DB:3.10:Re: Finding Insert Point... sf

    Perhaps a matter of semantics -- I was thinking in terms of what Osnap
    Insert will snap to, which would seem to qualify as an Insertion point for
    any practical purpose.
    --
    Kent Cooper

    "Constantin" wrote...
    Hi Kent,

    There is no DXF code for text that says 'Insertion point' as for Mtext.DXF
    code 10 for text it's called 'First alignment point'. From the help:

    TEXT:

    Group code 10
    First alignment point (in OCS)
    DXF: X value; APP: 3D point

    Constantin
    ....

  • RELEVANCY SCORE 3.10

    DB:3.10:Re: Copy Data Block Into Another a9


    my r u using DML (Insert) when Forms can handle all this for u ?

    copying values to another block u have to write 2 loops something like this

    --This code is not tested......
    go_block('tmp_block');
    first_record;

    loop
    go_block('new_block');
    :new_block.items := :tmp_block.items;
    next_record;

    go_block('tmp_block');
    exit when :system.last_record = 'TRUE';
    next_record;
    end loop;
    first_record;
    go_block('new_block');
    first_record;Baig
    [My Oracle Blog|http://baigsorcl.blogspot.com/]

    DB:3.10:Re: Copy Data Block Into Another a9

    The solution was to create a table and to store the values there.

  • RELEVANCY SCORE 3.10

    DB:3.10:Re: Copy A Block From An Xref m7


    Good morning,

    I have a drawing with an xref attached. The xref has some blocks. I would
    like to insert one of these blocks into the current drawing that already
    exists inside the xref.

    Ultimately I want to create a function with lisp where the user can select a
    visible block in an xref and it will insert in the current drawing.

    Before I create some brain damage here, is there already a way to do this?

    Thanks,
    Mark

    DB:3.10:Re: Copy A Block From An Xref m7

    I was going to rename the block and merge the layers to get rid of the $0$
    nonsense, but I seem to be having issues with xbind itself. I started a new
    thread.

    Thanks for your comments Joe.
    Mark

  • RELEVANCY SCORE 3.09

    DB:3.09:Re: Block Insert Scale For Design Center. 7f


    Is it possible to set the block insert scale in design center by any system
    variable? If not, how to work around this?

    DB:3.09:Re: Block Insert Scale For Design Center. 7f

    Is it possible to manipulate insert scale when using tool palettes?

  • RELEVANCY SCORE 3.08

    DB:3.08:Re: Insert Block Exploded kp


    Ok, I've never noticed this before but it's cause a few problems now.
    If I use (command "-Insert" "*blockname" '(0 0) "" "") to insert a block
    exploded then the next time I use the insert dialog box the explode box is
    checked.
    How do I reset this in my routine?

    DB:3.08:Re: Insert Block Exploded kp

    the next time I use the insert dialog box the explode box is
    checked.

    Just ftr:

    It doesn't do this in R2006 sp1.

    Bill

  • RELEVANCY SCORE 3.08

    DB:3.08:Re: Macro To Insert Block To New Layer fk


    can any one help to make macro to insert block to a named layer
    thanks

    DB:3.08:Re: Macro To Insert Block To New Layer fk

    In addition to the fine comments by Kent, you may need
    to supply attribute values - IF your block/insert has prompted
    attributes. Another way would be to 'turn off' the attributes required
    as in:
    ^c^c.Layer S Layername;(setvar "attreq" 0)
    (command "._-insert" "blockname" pause "1" "1" "0")
    (setvar "attreq" 1);

    Bob

  • RELEVANCY SCORE 3.08

    DB:3.08:Re: Another Dynamic Block Question ff


    Whenever I create a dynamic block, then only way I can access the actions (or change the attributes if it has any) is to explode the block once I insert it. Is there anyway to not have to explode the block?

    Here is an elevation tag that I created.









    Attachments:







    Elev Tag.dwg ‏141 KB

    DB:3.08:Re: Another Dynamic Block Question ff

    Alright, I've figured out what my problem was. The name I use to create the block with, I needed to wblock as the same name. Now it all works. Thanks for all the help.

  • RELEVANCY SCORE 3.08

    DB:3.08:Re: Auto Copy A Block Over Multiple Other Block jm


    Hi!

    actually i am working on a very big project and i need to copy
    "our block" over "their block", it can't work with Insert command because "my block" are multiple dynamic block with multiple visibility set grouping togheter using the GROUP command, the main point is.

    i would like to click on block A then Block B and then the block B would copy itself over every instance of the block A in the drawing (including rotation) someone have a code similar to this?

    i came across the ascpoint.lsp which seem interesting but only work with point and need alot of click to be done.

    thank you!

    DB:3.08:Re: Auto Copy A Block Over Multiple Other Block jm

    Sorry I thought you were looking to tweak something yourself - and I didn't
    read far enough to grasp the fact that they were dynamic blocks, which I
    haven't played with much.

    However - and for completeness only since I see T. Willey has already
    surpassed this effort - here's the same code as above with attribute
    references removed; it might only work on non-attributed inserts in one
    space at a time, but hey, it worked for my purposes and it works in
    pre-vlisp as well as modern versions of Acad...

    ;| Copy Insert Over
    Copies a selected replacement insert over a selected replacee insert
    at the same insertion scale and rotation of each replacee.
    |;

    (defun dxf (code elist)
    (cdr (assoc code elist))
    )

    (defun c:CIO ( / en ed tagnam layr ro oldos cnt oldech lr pxy)
    (command "._UNDO" "BEG")
    (setq en (car (entsel "\nPick insert to replace: "))
    ren (car (entsel "\nPick replacement insert: "))
    rtyp (dxf 2 (entget ren))
    ed (entget en)
    tagnam (dxf 2 ed)
    insca (dxf 41 ed)
    ro (dxf 50 ed)
    oldos (getvar "OSMODE")
    oldlay (getvar "CLAYER")
    )
    (setq ss (ssget "x" (list (cons 2 tagnam)))
    cnt 0
    repcnt 0
    oldech (getvar "CMDECHO")
    )
    (setvar "CMDECHO" 0)
    (setvar "OSMODE" 0)
    (while ( cnt (sslength ss))
    (setq en (ssname ss cnt)
    pxy (dxf 10 (entget en))
    layr (dxf 8 (entget en))
    cnt (1+ cnt)
    )
    (setvar "CLAYER" layr)
    (command "._INSERT" rtyp pxy insca "" ro)
    )
    (setvar "OSMODE" oldos)
    (setvar "CLAYER" oldlay)
    (command "._UNDO" "END")
    (setvar "CMDECHO" oldech)
    (if
    (= 1 cnt)
    (princ
    (strcat
    "\nCovered one instance of "
    tagnam
    " with "
    rtyp
    )
    )
    (princ
    (strcat
    "\nCovered "
    (itoa cnt)
    " instances of "
    tagnam
    " with "
    rtyp
    " inserts with same rotation on same layer(s) as "
    tagnam
    " inserts."
    )
    )
    )
    (princ)
    )

    wrote in message news:5847121@discussion.autodesk.com...
    I'm sorry but my lisp knowledge isn't good enough to understand this.
    whenever i try to use your code im getting multiple error.

  • RELEVANCY SCORE 3.08

    DB:3.08:Re: Insertion Of A Dynamic Block pm


    Hello,

    I have obtained the name of a dynamic block.

    For example;
    Block Name: "E_ARM0102"
    Anonymous Name: "*U167"

    But how do I insert this block?

    Kind regards,

    M

    DB:3.08:Re: Insertion Of A Dynamic Block pm

    Marcel,

    Get the dynamic properties from the dynamic block *U167
    And put the same properties to the new inserted block

    (DynamicProps (car (entsel)) "Visibility" nil) get the visible state of the block in my case
    ("C/C 250" ("C/C 100" "C/C 150" "C/C 200" "C/C 250" "C/C 300" "C/C 350")) where the first element is the visible state and the second are all the status.

    (DynamicProps (car (entsel)) "Visibility" "C/C 300") put it to visible state to "C/C 300"

    ;-------------------------------------------------​---------- get-variant-value -----
    ; Function Generic/recusive variant/safearray - lisp type
    ; Arguments: 1
    ; var =
    ; Syntax:
    (defun get-variant-value (var)
    (cond ((eq (type var) 'variant) (get-variant-value (vlax-variant-value var)))
    ((eq (type var) 'safearray)
    (mapcar 'get-variant-value (vlax-safearray-list var))
    )
    (t var)
    )
    )
    ;-------------------------------------------------​---------- DynamicProps -----
    ; Function retrieve or set properties from a dynamic block
    ; (DynamicProps (car (entsel)) "Visibility" nil)
    ; (DynamicProps (car (entsel)) "Visibility" "C/C 300")
    ; (DynamicProps (car (entsel)) "" nil)
    ; (DynamicProps (car (entsel)) "Pipe length" 2000.0)
    (defun DynamicProps (ename propname value / obj prpL cla cll prp)
    (setq obj (if (= (type ename) 'VLA-OBJECT) ename (vlax-ename-vla-object ename)))
    (setq prpL (vlax-safearray-list (vlax-variant-value (vla-getdynamicblockproperties obj))))
    (setq return (if (setq prp (vl-remove-if-not (function (lambda(x)(= (vlax-get-property x 'PropertyName) propname))) prpL))
    (mapcar (function (lambda(v)
    (if (and (/= value nil)(vlax-property-available-p v 'Value)(/= (type value)'LIST))
    (progn (vlax-put-property v 'Value value)(vla-update obj))
    )
    (if (and (vlax-property-available-p v 'AllowedValues)(safearray-value (vlax-variant-value(vlax-get-property v 'AllowedValues))))
    (list (get-variant-value (vlax-get-property v 'Value))
    (get-variant-value (vlax-get-property v 'AllowedValues))
    )
    (get-variant-value (vlax-get-property v 'Value))
    ))) prp
    )
    (mapcar (function (lambda(v)(list (vla-get-propertyName v)(get-variant-value (vlax-get-property v 'Value)) v))) prpL)
    ))
    return
    )

    Hope this helps

    Cheers
    Harrie

  • RELEVANCY SCORE 3.07

    DB:3.07:Oracle Insert Transaction - What Process Reads Free Blocks? jj



    Hello,

    I have before me the Oracle insert process described as:

    1. Read the data from the data file

    2. Read a block from the rollback segment

    3. Write redo information that specifies the change to the rollback block

    4. Copy the old data block value to the rollback data block

    5. Write redo information concerning the changes to the table data block

    6. Change the table data block

    At steps 1 and 2 is the reading done by the shadow process (I guess it has to be the shadow process, but can someone please confirm).

    Kind regards,

    Peter

    DB:3.07:Oracle Insert Transaction - What Process Reads Free Blocks? jj


    Hi,

    IMHO,

    There is a difference between "trying to understand" questions and "give me the solution" questions.

    You are following some slides and you do not understand something. That is normal, nobody knows all. Doubts appear. You "research" and you do not find the solution or do not understand it. Use the forum, it is here for that. Perhaps the answer is on the manual, note ... and someone will point it to that.

    Unfortunately, there are other "users" that do not bother trying to find the solution, read the manual ... They have a problem and idemand /ian answer immediately, or they have a job interview in 1/2 hour and they try to "find" the answer without any effort.

    The answer could be the same as in the previous case, but perhaps it is not so useful.

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Mirror Block From Insert zj


    Hi, I have looked through many posts regarding mirroring but can not find a working solution for the following,
    I would like a toolbar button to mirror an inserted block at the insert point and the horizontal. also would be a nice touch to have the command automatically delete the original block.
    is this possible?

    regards Max

    DB:3.06:Re: Mirror Block From Insert zj

    _yes needs to be where it answers the question from Mirror
    command, not at the end of the macro after it has long
    passed.

    --
    Dean Saadallah
    Add-on products for LT
    http://www.pendean.com/lt
    --

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Autocad Library Or Block d3



    Hi Guys,

    I have a Block (just assume any unusual shape converted to a block), and i need to use the same block in many other drawings.

    I dont want to copy or add the block from another drawing.

    I want the block to be a part of AutoCAD library, whenever the AutoCAD loads the option to insert that block should be available.

    Even if i can add it as a object in the Ribbon under Draw where all other gemetry shapes(Line, Polyline, Rectangle, etc)are available, then it would be very useful.

    But not getting an idea to how to do that or where to begin with. . .! ! !

    How can i do that.???

    Awaiting Reply.....!!




    RegardsSantosh

    DB:3.06:Re: Autocad Library Or Block d3


    Hi,

    I have used the same code as given in [...]

    And the debugger doesnot stop at all untill the execution is over.

    Makes me more than ever thinking that the block-creation has then created defects in the database.

    Try my suggestion above to create the blockreference by sending the command using SendStringToExecute (just now for dedication).

    What you also can try: after your code run the creation of the blockdefinition == stop the code and run command _AUDIT. Does AutoCAD then crash?

    - alfred -




    -------------------------------------------------------------------------Alfred NESWADBAIngenieur Studio HOLLAUS ... www.hollaus.at-------------------------------------------------------------------------

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Unexplodable Block? ds


    I am having problems with consultants who dont understand the use of
    attributes.
    They insert our title block and then explode it to make changes.

    Is there a way to make a title block with attributes, that can be edited BUT
    CANNOT be exploded?

    Thanks

    DB:3.06:Re: Unexplodable Block? ds

    Jay said the following on 10/19/2005 9:39 AM:
    I am having problems with consultants who dont understand the use of
    attributes.
    They insert our title block and then explode it to make changes.

    Is there a way to make a title block with attributes, that can be edited BUT
    CANNOT be exploded?

    Thanks

    Sure, just uncheck the toggle called "Allow Exploding" when you create
    the block.

    Or if this is an existing block, run the block command, choose this
    block in the drop-down list, uncheck the "Allow Exploding" toggle, then
    press the OK button. Answer YES to the next dialog.

    If they don't understand attributes, chances are they won't figure out
    how to make the block explodable either.

    --
    R.K. McSwain
    http://rkmcswain.blogspot.com

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Inserting A Block 83



    Whenever i insert a block on my laptop it doesnt show a preview or when the block has attributes and i insert it, the edit attributes meau doesnt pop up like it should. I know that the block is made correctly becuase when i open the same file on another computer and insert the block with attributes the edit attributes menu does pop up. Can anyone tell me why it doesnt pop up on my laptop? Thanks

    DB:3.06:Re: Inserting A Block 83


    (Edit: For future reference, you might avoid problems with attaching/uploadingif you ZIP the file or filesfirst.)

    When I set ATTDIA=1 and ATTREQ=1, I am prompted for attribute values when inserting the followingblocks:

    BDR11x17mm-12

    Beam1

    BEAM2

    BEAM3

    CLABEL

    Column

    RCOLUMN

    The other blocks (which appear to be border/titleblocks) do not have attributes.

    So, if this is what you would expect (and matches what happens on the other machines),it appears there's nothing wrong with the DWG or the blocks.

    The two issues (the lack ofpreview andattribute prompting) may besymptoms of an error that occurred during installation, so a repair or re-installwould be where Iwould go next.

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Insert Block To Inherit Current Autocad Layer fz


    There are certain occasions where I would like to insert a block to inherit the current layer in an active AutoCAD drawing. This happens frequently when a client requires a certain layering standard and I have a block from another drawing with different layering standards. To correct this it usually involves several steps - Explode and change the layer, setbylayer, bedit, etc,

    Is there a command to where I can directly insert a block and its layers change to the current layer of the active AutoCAD drawing?

    DB:3.06:Re: Insert Block To Inherit Current Autocad Layer fz

    Many folks rename shortcuts, so it is always the better approach to provide
    them with the full command name. Also helps them if they need to look it up
    in Help.

    Since the English word and the other command is EXPLODE, your reply is
    silly. Nice try though. OK, lame try, but very funny anyway )

    --
    Dean Saadallah
    http://LTisACAD.blogspot.com
    --

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Invalid Block Name On -Insert 3j



    I have a small LiSP routine I wrote about 14 years ago that no longer works. It is supposed to update a logo on a title block using the -insert command with a redefine option and a cancel

    (command "-insert" "K:\\FORMATS\\LAYOUTS\\GSILOGO.dwg" "y" ^c)

    When I run the routine I get an error message "Invalide block name" and it cancels the command without updating.

    Yet, if I insert the same block through the insert dialog box it allows the file to be inserted.

    Any ideas?







    Solved!
    Go to Solution.

    DB:3.06:Re: Invalid Block Name On -Insert 3j


    I didn't see the exact line of code you have been trying in your last post, but here's the line of LISP code I think you would want to use:

    (command "-insert" "gsilogo=k:\\formats\\layouts\\gsilogo" "y" ^c)

    (When I tested it with your sample files it worked just fine.)

    To the left of the "=" is thename of the block in the current drawingthat you want to replace.

    To the right of the "=" is the path and filename of the drawing you want to use to replace that block. (You must use \\ instead of \ inside AutoLISP.)

    Notice that the entire string "blockname=path\\filename" is enclosed in quotes.

    Also, you don't have to include the ".dwg" after the filename (but it's okay if you do).

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: cp


    I need to insert a block on (and aligned) a line, then break that line a
    specified distance on each side of the inserted block.
    I have no idea where to start, any help would be greatly appreciated.

    DB:3.06:Re: cp

    Assuming the block's insertion point is the placement point on the line, my
    first macro works fine (a circle, text center of circle, insertion point
    center of circle). The sequence would be:
    insert the block
    select a point
    select the angle point
    break command
    select the line
    break at two points.

    You can preset the block scale to multiply the DIMSCALE factor set in your
    file for further automation. You can preset the Osnaps as needed.
    I suspect you are trying to automate the task more than DIESEL and LT can on
    their own.

    --
    Dean Saadallah
    Add-on products for LT
    http://www.pendean.com/lt
    --

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Block Descriptions 8m


    Can you modify a block description easily without recreating the block?

    DB:3.06:Re: Block Descriptions 8m

    Ok. I understand now. I zoomed out and I had several blocks that I had
    modified all at the 0,0 mark.

    Thanks.

    "Jason Piercey" wrote in message
    news:41ae2c8f$1_2@newsprd01...
    I am saying that it will create an insert when you
    press the OK button. Try it out.

    --
    Autodesk Discussion Group Facilitator

    "Michael Schirmer" wrote in message
    news:41ae2c2f$1_3@newsprd01...
    Thanks Murray for that info. I had just overlooked something quite
    simple
    there.

    Jason,
    I'm not following you. What do you mean.
    Are you saying that resaving the block definition with an updated
    description with add another block definition?

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Insert Block = Fatal Error 37


    Whenever I try to insert a drawing into another as a block I get a "FATAL ERROR: UNHANDLED ACCESS VIOLATION READING 0X0004 EXCEPTION AT 644Fee90H" and AutoCAD turns right off. Can somebody pleeeeeease help.

    Thank you in advance!!!!

    DB:3.06:Re: Insert Block = Fatal Error 37

    Where can I find this service pack? I really need it.

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Routine Explode All Blocks Except One Block xz



    Can you pls help the following

    I want to explode all blocks except one block (for ex: - block name “TTL”)

    I have been tried like this way but its not working

    (SSGET “_X” ((0 . “INSERT”) (-4 . “/=”) (2 . “TTL”)))

    (i-e) select all block which name not equal to “TTL”

    Regards,

    arun







    Solved!
    Go to Solution.

    DB:3.06:Re: Routine Explode All Blocks Except One Block xz

    thanks foryour response.

    so how the routine need to be instead of this following code:

    i am a learner.

    (defun c:sdf()

    (SETQ fgh (SSGET "_X" (list '(0 . "INSERT") (cons 410(getvar "ctab")) '(-4 . "NOT") '(2 . "TTL") '(-4 . "NOT") )) )

    (Command "EXPLODE" fgh ) )

  • RELEVANCY SCORE 3.06

    DB:3.06:Re: Unexpected Block Reference Counts? 7p


    Hello All,

    I am using AutoCAD 2005, building on VS .NET 2002 for ObjectARX. I am running into a confusing situation with block reference counts. Here is the scenario:

    I create 2 new drawings. In drawing 1 I create a block and give it a name of, lets say 'TEST_BLOCK_1' and create the block as normal. (The blocks that I normally use have attributes but I am using just any kind of a simple block for example). So in this drawing 1 there is 1 block reference that I can see on screen. I inserted the block reference just 1 time. Now I select the block reference in drawing 1 and do a CTRL + C to copy it to the clipboard. I switch to drawing 2 that is a clean database with no block definitions. I paste the block reference from the clipboard into drawing 2 and there is the 1 block reference on the screen. Note that I only paste it only once and make no other copies of the block.

    Now, in my ObjectARX routine, I am getting the blocktablerecord of 'TEST_BLOCK_1' and counting the number of references that are in the database for that blocktablerecord. In drawing 1 I get a count of 1, in drawing 2 I get a count of 2.

    Seems very strange! I have also had some other issues when working with blockreferences, but did not keep track of them so I am unable to describe them here.

    Has anyone had this kind of issue to deal with? Seems like a bug to me but I don't want to jump on that when I know I could be doing something wrong, but I am not doing anything out of ordinary.

    Any help on this matter would be appreciated!

    Thanks!

    Larry

    DB:3.06:Re: Unexpected Block Reference Counts? 7p

    When you paste the block into another drawing a temparary BTR is created and then erased. This is why you see 2 references. If you open the parent blockId (block table
    record) you will see it has a temporary block name (or eWasErased if the last param was not true).
    Saving and then opening the second drawing eliminates the
    temporary block table record.

    Paul Kohut

  • RELEVANCY SCORE 3.05

    DB:3.05:Re: 7z


    One of my users came to me and asked if it was possible to modify an
    existing block to include another attribute. The block in question is a
    simple room number block with a single attribute. We would like to keep the
    attribute values in the existing blocks, just add another attribute to them.
    I thought that was pretty easy to do, but I'm having a hard time getting it
    right. I insert a block, then copy it over and explode the copy. I add
    another attribute to the exploded copy and redefine the block with the same
    name as the original. The block changes to include the graphical changes,
    the attribute of the original stays the same, but the second attribute
    doesn't appear. DDATTE doesn't show the new attribute in the redefined
    block, but it does show up in the copied version that was used to redefine
    the original. So now I have two blocks of the same name but with different
    attribute definitions.
    What am I missing? Any help would be appreciated.

    --
    Chris Hughes
    CAD Manager, Brisbin Brook Beynon Architects
    cadadmin@bbb.ca

    DB:3.05:Re: 7z

    Selection order controls that when you are re-creating the block from the
    basic entities.

    --
    Dean Saadallah
    http://www.pendean.com
    Expanded Links Page
    http://www.pendean.com/lt/links.htm
    --

    "Chris H." wrote in message
    news:3606EF3AE46B875AD32CF6469D5B63CA@in.WebX.maYIadrTaRb...
    I tried that too, but this jumbles up the attribute values. The room name
    starts to appear in the room number box and vice versa. Weird.

    "Dean Saadallah" wrote in message
    news:E2C0B3C8700ADB3BFA4415CE1A658FB6@in.WebX.maYIadrTaRb...
    ATTREDEF instead of BLOCK when you want to redefine an existing block
    with
    attributes in a drawing file.

    --
    Dean Saadallah
    http://www.pendean.com
    Expanded Links Page
    http://www.pendean.com/lt/links.htm
    --


    "Chris H." wrote in message
    news:603ABEEFD3AAB2DC346209ED24B6BE0B@in.WebX.maYIadrTaRb...
    One of my users came to me and asked if it was possible to modify an
    existing block to include another attribute. The block in question is
    a
    simple room number block with a single attribute. We would like to
    keep
    the
    attribute values in the existing blocks, just add another attribute to
    them.
    I thought that was pretty easy to do, but I'm having a hard time
    getting
    it
    right. I insert a block, then copy it over and explode the copy. I
    add
    another attribute to the exploded copy and redefine the block with the
    same
    name as the original. The block changes to include the graphical
    changes,
    the attribute of the original stays the same, but the second attribute
    doesn't appear. DDATTE doesn't show the new attribute in the
    redefined
    block, but it does show up in the copied version that was used to
    redefine
    the original. So now I have two blocks of the same name but with
    different
    attribute definitions.
    What am I missing? Any help would be appreciated.

    --
    Chris Hughes
    CAD Manager, Brisbin Brook Beynon Architects
    cadadmin@bbb.ca



  • RELEVANCY SCORE 3.05

    DB:3.05:Re: Insert Block Event sa



    Someone help me get started here.

    I'd like to trigger a procedure to split a line upon a block being draged and dropped over it.

    I drag a valve block onto a piping polyline and I'd eventually like it to autobreak by specificed amount.

    What's the event for a block being inserted into a drawing?

    Thanks,

    DB:3.05:Re: Insert Block Event sa


    This might help

    http://through-the-interface.typepad.com/through_t​he_interface/2008/08/preventing-an-a.html




    You can also find your answers @ TheSwamp

  • RELEVANCY SCORE 3.05

    DB:3.05:Re: Copy Rows From Block jj


    I think for this you can have a button named copy.

    Once he presses the button (when button pressed), preserve the current values for the columns and say insert record; and populated the values (assinging the values).

    Hope this should work.

    DB:3.05:Re: Copy Rows From Block jj

    Thanx Sai ...

    ur code is working fine

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: Duplicate Definition Of Block Ignored zc


    Trying to insert a block from a tool palette into drawing with multiple layout tabs. Need the block on each layout but when I try to drag and drop I get the following message: "duplicate definition of block ignored" and the block is not brought into drawing. Using Autocad 2006.

    DB:3.04:Re: Duplicate Definition Of Block Ignored zc


    Had same problem. Solved it by switching the process. Instead of copying from the DWG I wanted to copy from and pasting in the destination dwg I selected all from destination DWG, copiedand pastedto the other drawing. It worked, I figure one of the files had been corrupted in some way.

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: Insert Block - Nothing There xf



    Very basic problem: I insert a basic block and do not get any error messages but there is nothing there. Not a problem with the block, it doesn't work for any block. I go to try to insert another block and the block I just tried to insert is listed in the list of previously inserted blocks. I can insert blocks when I'm in another dwg, so the problem is with this one dwg. I searched the forums and tried everything that was suggested for other people. Thawed/turned on all layers, regen, recover, recoverall, audit, purge, design manager. Cannot even use pasteclip to copy objects from one layout to another. I have my annotation visibility turned on and the block doesn't have annotative objects anyway. Only ray of hope: I could finally insert blocks when I selected Explode on the insert menu. But I'm not always going to want them exploded so I was hoping for advice. Thanks in advance.







    Solved!
    Go to Solution.

    DB:3.04:Re: Insert Block - Nothing There xf


    This appears to fix the problem.

    http://knowledge.autodesk.com/support/autocad/downloads/caas/downloads/content/autocad-C2-AE-dgn-hot...

    It involves saving a couple of files to your product intallation folder which allows you to purge some additional things you couldn't before.

    It made my files 50%-75% smaller and allowed me to insert blocks freely and use the copyclip command again.

    MAKE SURE YOU DO THIS OPERATION TO BOTH YOUR DRAWING AND ANY OTHER DRAWINGS THAT IT XREFS.

    Then save the drawing, then try to insert your blocks.

    If you aren't sure if you're using 32 or 64-bit, click Start, type "system" into the search bar (don't hit enter), select System Information, System Summary tab.

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: How To Copy A Group? jk


    Hi everybody,

    How can I copy a group from one file to another one ?
    When I made a block of them ,and insert and explode them to a new file they
    are not group anymore!

    Thanks

    DB:3.04:Re: How To Copy A Group? jk

    This can be done,

    Check the unnamed box in the group dialog and it should appear, although
    renamed to some obscure reference.

    Steve

    "A.K." wrote in message
    news:F76FDD0C0E7A75C6B1CE0BFEDF4DE6FE@in.WebX.maYI​adrTaRb...
    Hi everybody,

    How can I copy a group from one file to another one ?
    When I made a block of them ,and insert and explode them to a new file
    they
    are not group anymore!

    Thanks

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: Batch Insert Blocks... fk


    okay a bit of a weird request.

    But i want to insert a directory of blocks into a dwg file and have each
    instance of the block insertion point be offset by 10 on the x axis.

    -insert block "A" at 0,0 ; -insert block "B" at 10,0, etc.

    Has anyone seen a lisp to do this?

    --
    ________________________________
    replace [dot] from e-mail if replying directly
    ________________________________

    DB:3.04:Re: Batch Insert Blocks... fk

    Thanks Jeff!

    And thanks Kevin for all the help!

    "Jeff Mishler" wrote in message
    news:4873744@discussion.autodesk.com...
    All of the (cad....)'s below need 1 d removed, should be (car ...) (cadr
    ...) (caddr ...)
    (setq insertpoint
    (list
    (+ 10 (cadr insertpoint))
    (caddr insertpoint)
    (cadddr insertpoint)
    )
    )

    "The Real JD" wrote in message
    news:4873738@discussion.autodesk.com...
    I added the path (as seen below) it worked for finding the first one, but it
    gets stuck on the insertion giving an error.

    I'll modify the code to what you posted. Thanks!

    (setq dir1 (dos_getdir))
    (setq lst1 (vl-directory-files dir1 "*.dwg" 1))
    (setq insertpoint (list 0 0 0))
    (foreach mydwg lst1
    (command "-insert" (strcat dir1 mydwg)
    (setq insertpoint
    (list
    (+ 10 (cadr insertpoint))
    (caddr insertpoint)
    (cadddr insertpoint)
    )
    )
    )
    )

    "Kevin Nehls" wrote in message
    news:4873721@discussion.autodesk.com...
    The Real JD wrote:
    This is what i've got so far..

    (defun c:quikinsert ()
    (setq dir1 (dos_getdir))
    -- Take a look at the documentation for dos_getdir, there's some
    additional parameters you can pass to customize it a little more if you
    like.

    (setq lst1 (vl-directory-files dir1 "*.dwg" 1))

    Crap! Forgot one major point, you need to append the directory to each
    drawing....
    (setq lst1
    (mapcar '(lambda (x)
    (strcat dir1 x))
    lst1)
    )

    (setq insertpoint (list 0 0 0))
    (foreach mydwg lst1 ()
    (command "-insert" mydwg
    (command "-insert" mydwg insertpoint "1" "1" "0")
    -- This should be your entire INSERT command

    Now set insertpoint to the new value offset for the new location
    (setq insertpoint
    (list
    (+ 10 (cadr insertpoint))
    (caddr insertpoint)
    (cadddr insertpoint)
    ))

    )
    -- Remove that paren, your command should finish as I show above.

    ))

    It looks like it will go to insert but can't find the file because it's
    not
    part of the path.
    Should i be doing this in another way? Or is there another variable list
    to
    get the path with the drawings, and not just the drawing files name....

    Sorry about that, the fix is above.

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: Wont Paste Autocad Block Into Inventor 1z



    Hello Everyone

    I am trying to paste an AutoCAD block into Inventor I keep getting this message...........

    "Error Opening File. Make sure input file is DWG file and not currently opened."

    I don't understand why its not working. From AutoCAD I Copy clip the block then in Inventor I Paste...........

    If I go to Insert ACAD File, I get to see the preview where you can select layers.

    I click next then finnish. But it does not work.

    I have done it in the past but this is the second time in a design it has not worked.

    Please help. I need to import this block into my Inventor model.

    Kind regards

    A CAD Student







    Solved!
    Go to Solution.

    DB:3.04:Re: Wont Paste Autocad Block Into Inventor 1z


    I feel your pain. I have been going thru the same thing for 3 days now, I've been going thru utube vidoes, help files, forums, etc.. I cant believe that Autodesk didn't think to make thier products communitcate. Not a good set up. I got Solidworks to bring in my Autocad borders with no problem, and they all work well. But Inventor jsut keeps giving that same stupid message. "unable to open file. If fiel is open in Acad or other, please close it and retry" Do all you want. It doesn't work.

    Really? Autodesk didn't think about this one? We have several clients, I have to create a border for every one of them in Inventor? Solidworks appeasrs to be all around better.

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: How To Save Title Block In Cad Template..? xm



    i want use my own title block in layout.but when i insert the template,defaulttemplate coming.how to save my title block in layout template.

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: Insert Block Issue d3



    When I insert a block it doesn't actually show up in my drawing. I am prompted to provide a location and am given the option to scale, etc, but when I complete the command the block isn't there. I have even searched for the block using QSELECT and searching for it by name, but it isn't there. I can insert this block in different drawings without issues. I have found, however, that if I insert it as exploded it will show up. Why can't I insert it as a block though?

    DB:3.04:Re: Insert Block Issue d3

    Once again, thank you for your help. I'm afraid the audit results don't mean much to me. Can you give me a quick explanation of why it's significant?

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: How To Insert Block At Every Vertice Of A Polyline In Lisp? 9d


    I need a quick lisp that will insert a block on every vertice of a polyline.
    (possibly a 3d polyline) Any help would be GREATLY appreciated. Thx!

    DB:3.04:Re: How To Insert Block At Every Vertice Of A Polyline In Lisp? 9d

    Thank you for your help and posting the file, but it still won't work right for me. It loads fine, I type BLOCKVERT, then select a polyline and get the message "Unknown command "BLOCKVERT". Press F1 for help." That message repeats a bunch of time until the command ends and then it simply says 10 or 5 or 13 or however many vertices there are on the polyline.

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: Block Problems zk


    I am new to auto cad and have been trying to insert a block into a drawing and when I insert it it is 10x bigger than I need it to be. What do I nees to do.

    Thanx
    Randy

    DB:3.04:Re: Block Problems zk

    I have a block in a drawing with no attribute information in the block
    definition. I want to add an attribute to the block definition. Sounds
    simple right? Currently there are about 300 of these blocks "sprinkled" thru
    the drawing. I insert the block at 0,0,0 and explode it. I add an attribute
    definition and redifine the block in the drawing. I zoom out and look at
    some of the blocks that were already in the drawing. The attribute isn't
    showing up. I regen....nothing. I pick on of the blocks that was already in
    the drawing and explode it....the attribute definition appears. What gives?
    Why can't I get the attributes to show up in the drawing? I tried starting a
    new drawing and inserting the redefined block then inserting the blocks that
    the attribute wasn't showing up on and still no luck....

    Dan

  • RELEVANCY SCORE 3.04

    DB:3.04:Re: Insert Block And Waiting For User Input Rotation d9



    Somebody help me how to insert block, but waiting for user input rotation.







    Solved!
    Go to Solution.

    DB:3.04:Re: Insert Block And Waiting For User Input Rotation d9


    can not remove callingRainManhole in command. Also add event to it ( eRainManhole += new EventHandler(DeleteGiong) Because of waiting finish this command, I need to continuous more work.

  • RELEVANCY SCORE 3.03

    DB:3.03:Re: Copy Block From Another Database x9


    i ve used the clone, insert, wblock methods.. but the result failed. the file size has increased but ther is no block in the new database. i already have some data in the new database to which the new blck must be added. kindly guide me.
    thanks in advance..

    DB:3.03:Re: Copy Block From Another Database x9

    Yeah, I think you are right. There is a huge difference with how strings are handled!!

    In the future I will try and remember to note what version it is for. That should be done! so others are aware.

  • RELEVANCY SCORE 3.03

    DB:3.03:Re: Insert Title Block And Scale x3


    I want to add a macro to a toolbar button to insert a title block on layer 1B, with the insertion point (0,0,0), scale it to dimscale and zoom extents.

    DB:3.03:Re: Insert Title Block And Scale x3

    Sorry I didn't see the post in time to suggest it sooner.

    Turning off ATTREQ will mean you don't get prompted for attributes. You could save iits setting and restore it at the end of the macro so the user's normal preference isn't lost. To me that seems a better and more general solution than the multiple returns matching the number of attribute prompts.

    Whether you want to be prompted for attributes at the time of insertion is a preference item, in my opinion. Even with the same block, sometimes I want this and sometimes I don't. So I usually try to have any atttribute-block-insertion routines end with the insertion and not address the attributes at all. That way, the user can set ATTREQ the way they want it.

  • RELEVANCY SCORE 3.03

    DB:3.03:Re: Multi-Record Block Question px


    Like Kevin R. wrote, set the "Insert allowed" property on the block to 'NO'.

    DB:3.03:Re: Multi-Record Block Question px

    Sounds like you are populating the block "by hand" using a cursor for loop. If this is so, you'll have big problems to achieve what you want, for all your records will be treated as INSERT.

  • RELEVANCY SCORE 3.03

    DB:3.03:Re: Insert Block From File 3p


    Is there any way of insert a block in other file ?
    I can make it using the command "insert" in the command line.
    Can I do it in VBA ? Or is it any way to execute a command line from VBA ?

    thanks in advance...

    DB:3.03:Re: Insert Block From File 3p

    running that command after my existing code, would it work?

    i mean, am i safe in assuming that i have already deleted all references by executing the code that i posted earlier?

    thank you for all your help bob, this is so confusing to me